Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.commonapi
Class RangeCannotBeDeterminedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  rice.p2p.commonapi.RangeCannotBeDeterminedException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  LSRangeCannotBeDeterminedException

    public class RangeCannotBeDeterminedException

extends java.lang.RuntimeException

This exception is thrown when the underlieing Overlay cannot determine the requested id range. For whatever reason, the local node does not have enough information to generate the correct range.

Author:
  Jeff Hoye
See Also:
  Serialized Form

Constructor Summary
`RangeCannotBeDeterminedException()`
`RangeCannotBeDeterminedException(java.lang.String arg0)`
`RangeCannotBeDeterminedException(java.lang.String arg0, java.lang.Throwable arg1)`
`RangeCannotBeDeterminedException(java.lang.Throwable arg0)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RangeCannotBeDeterminedException

    public RangeCannotBeDeterminedException()

### RangeCannotBeDeterminedException

    public RangeCannotBeDeterminedException(java.lang.String arg0)

### RangeCannotBeDeterminedException

    public RangeCannotBeDeterminedException(java.lang.Throwable arg0)

### RangeCannotBeDeterminedException

    public RangeCannotBeDeterminedException(java.lang.String arg0,
                                            java.lang.Throwable arg1)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.